Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
PUTVPC Firewall OperationsSince 4.0.0SynchronousAuth Required

ApplyRuleSetChanges

ApplyRuleSetChanges

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the action.

Body Fields

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVpcFirewallRuleSetInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the VPC firewall ruleset.

    • nameStringRequired

      The name of the VPC firewall ruleset.

    • descriptionStringRequired

      The detailed description of the VPC firewall ruleset.

    • isDefaultbooleanRequired

      是否默认。

    • isAppliedbooleanRequired

      是否应用。

    • createDateTimestampRequired

      The time when the VPC firewall ruleset was created.

    • lastOpDateTimestampRequired

      The time when the VPC firewall ruleset was last modified.

    • actionTypeActionTypeRequired

      See actionType

      • dropActionTypeRequired

        No description provided.

      • rejectActionTypeRequired

        拒绝。

      • acceptActionTypeRequired

        接受。

Endpoint

PUT/zstack/v1/vpcfirewalls/ruleSets/apply/{uuid}/actions

/zstack/v1/vpcfirewalls/ruleSets/apply/{uuid}/actions

Operation ID

ApplyRuleSetChanges

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vpcfirewalls/ruleSets/apply/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "name", "actionType": "drop", "description": "example-des", "enableDefaultLog": false, "isDefault": false, "isApplied": true } }

Change History

This API has no change history records yet.

View all change history